Bug 496610 - SELinux denied search to /usr/bin
SELinux denied search to /usr/bin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Vojtech Vitek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 06:50 EDT by Pavel Alexeev
Modified: 2015-03-04 18:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-04 09:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-04-20 06:50:18 EDT
I sync 2 directories on 2 machines over internet.

All work fine if it is runned manual from regular user, but if it runned from cron daemon (incron actually) rsync produce error:

rsync: Failed to exec ssh: Permission denied (13)

Avc whoops:
type=AVC msg=audit(1240224283.428:78): avc:  denied  { search } for  pid=10134 comm="rsync" name="bin" dev=dm-0 ino=450584 scontext=unconfined_u:system_r:rsync_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=dir
type=SYSCALL msg=audit(1240224283.428:78): arch=40000003 syscall=11 success=no exit=-13 a0=82f8cd8 a1=bf93cb50 a2=bf93ecd8 a3=bf93cb50 items=0 ppid=10133 pid=10134 auid=100 uid=100 gid=100 euid=100 suid=100 fsuid=100 egid=100 sgid=100 fsgid=100 tty=(none) ses=1 comm="rsync" exe="/usr/bin/rsync" subj=unconfined_u:system_r:rsync_t:s0 key=(null)

Some additional notes:
name="bin" is /usr/bin (by inode number) and I do not understand for what rsync try search in it! Path to ssh I try manualy provide by several ways:

1) rsync -e "/usr/bin/ssh -v" local_dir user@host:/remote/path
2) RSYNC_CONNECT_PROG='/usr/bin/ssh -v' rsync local_dir user@host:/remote/path
3) rsync --rsh=/usr/bin/ssh local_dir user@host:/remote/path

without success.
Comment 1 Bug Zapper 2009-11-18 06:47:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matt McCutchen 2009-11-21 01:56:05 EST
"Search" of /usr/bin probably just refers to traversal of that directory to reach /usr/bin/ssh .  If that is being denied, it should be considered a bug in the SELinux policy.
Comment 3 Bug Zapper 2010-04-27 09:48:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Pavel Alexeev 2010-04-27 11:07:31 EDT
Is there any movements?
Comment 5 Fedora Admin XMLRPC Client 2010-10-05 07:59:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Vojtech Vitek 2011-01-03 11:49:31 EST
Hi, are you able to reproduce this bug on current Fedora 13, Fedora 14 or rawhide?
Comment 7 Pavel Alexeev 2011-01-03 12:00:05 EST
Hard to say...
You can't reproduce this?
Comment 8 Vojtech Vitek 2011-01-03 13:23:14 EST
I can't reproduce this on f14. The bug was originally filled against Fedora 10 and moved towards newer version several times. It should have been probably considered as a bug in the SELinux policy.
Comment 9 Pavel Alexeev 2011-01-04 07:02:07 EST
So, I think now it then may be closed. If I see it again I'll reopen that.
Thank you.
Comment 10 Vojtech Vitek 2011-01-04 09:50:28 EST
Ok, I'm closing the bug. I couldn't reproduce it even after another tests.

Feel free to reopen it, if you find this valid.

Note You need to log in before you can comment on or make changes to this bug.